r5021 - in packages/trunk/conquest/debian: . patches

Bas Wijnen wijnen at alioth.debian.org
Thu Dec 20 12:55:37 UTC 2007


Author: wijnen
Date: 2007-12-20 12:55:37 +0000 (Thu, 20 Dec 2007)
New Revision: 5021

Added:
   packages/trunk/conquest/debian/conquest.menu
   packages/trunk/conquest/debian/conquest.postinst
   packages/trunk/conquest/debian/conquest.postrm
   packages/trunk/conquest/debian/patches/02_soname.diff
Removed:
   packages/trunk/conquest/debian/menu
   packages/trunk/conquest/debian/postinst
   packages/trunk/conquest/debian/postrm
Modified:
   packages/trunk/conquest/debian/changelog
   packages/trunk/conquest/debian/control
   packages/trunk/conquest/debian/patches/series
   packages/trunk/conquest/debian/rules
Log:
remove sonames from private libraries, make dh_install --fail-missing possible and useful, use package name for conquest files


Modified: packages/trunk/conquest/debian/changelog
===================================================================
--- packages/trunk/conquest/debian/changelog	2007-12-19 09:46:52 UTC (rev 5020)
+++ packages/trunk/conquest/debian/changelog	2007-12-20 12:55:37 UTC (rev 5021)
@@ -13,8 +13,18 @@
   * Remove LDFLAGS from rules
   * Remove dirs file
 
- -- Barry deFreese <bddebian at comcast.net>  Sun, 04 Nov 2007 14:06:31 -0500
+  [ Bas Wijnen ]
+  * Remove sonames from private libraries so dpkg-shlibdeps doesn't try to
+    find a package to depend on for them.
+  * Add --exclude options to dh_install, so the output of --list-missing
+    should be empty.  Change --list-missing to --fail-missing so it's
+    impossible to miss it when it isn't empty anymore.
+  * Rename menu, postinst and postrm to conquest.* to indicate which binary
+    package they are for.
+  * Add myself to uploaders.
 
+ -- Bas Wijnen <wijnen at debian.org>  Thu, 20 Dec 2007 13:53:51 +0100
+
 conquest (8.3-1) unstable; urgency=low
 
   * New upstream release.

Copied: packages/trunk/conquest/debian/conquest.menu (from rev 5020, packages/trunk/conquest/debian/menu)
===================================================================
--- packages/trunk/conquest/debian/conquest.menu	                        (rev 0)
+++ packages/trunk/conquest/debian/conquest.menu	2007-12-20 12:55:37 UTC (rev 5021)
@@ -0,0 +1,2 @@
+?package(conquest):needs="text" section="Games/Action" \
+  title="conquest" command="/usr/games/conquest"

Copied: packages/trunk/conquest/debian/conquest.postinst (from rev 5020, packages/trunk/conquest/debian/postinst)
===================================================================
--- packages/trunk/conquest/debian/conquest.postinst	                        (rev 0)
+++ packages/trunk/conquest/debian/conquest.postinst	2007-12-20 12:55:37 UTC (rev 5021)
@@ -0,0 +1,56 @@
+#! /bin/sh
+# postinst script for conquest
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+CONQUESTGROUP=conquest
+
+case "$1" in
+    configure)
+    if CONQUESTGRENT="$(getent group $CONQUESTGROUP)"; then
+	    # the group already exists! check that it's a system account
+	    if [ "`echo $CONQUESTGRENT | cut -d : -f 3`" -ge 1000 ] ; then
+		    # the group is a user group! abort!
+		    echo "error: a \"$CONQUESTGROUP\" group with gid>=1000 already exists on your system.  Please remove it before installing this package."
+		    exit 1
+	    fi
+    else
+	    addgroup --system "$CONQUESTGROUP"
+    fi
+
+    chgrp "$CONQUESTGROUP" /usr/games/conquest
+    chmod 2755 /usr/games/conquest
+
+
+    [ -x /usr/bin/update-menus ] && update-menus
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0

Copied: packages/trunk/conquest/debian/conquest.postrm (from rev 5020, packages/trunk/conquest/debian/postrm)
===================================================================
--- packages/trunk/conquest/debian/conquest.postrm	                        (rev 0)
+++ packages/trunk/conquest/debian/conquest.postrm	2007-12-20 12:55:37 UTC (rev 5021)
@@ -0,0 +1,37 @@
+#! /bin/sh
+# postrm script for conquest
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+CONQUESTGROUP=conquest
+
+case "$1" in
+       purge|remove)
+        if id -g $CONQUESTGROUP >/dev/null 2>&1 ; then
+	    if [ "`id -g $CONQUESTGROUP`" -lt 1000 ] ; then
+		groupdel conquest || true
+	    fi
+	fi
+
+        ;;
+
+	upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+	;;
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+#DEBHELPER#

Modified: packages/trunk/conquest/debian/control
===================================================================
--- packages/trunk/conquest/debian/control	2007-12-19 09:46:52 UTC (rev 5020)
+++ packages/trunk/conquest/debian/control	2007-12-20 12:55:37 UTC (rev 5021)
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel at lists.alioth.debian.org>
-Uploaders: Barry deFreese <bddebian at comcast.net>
+Uploaders: Barry deFreese <bddebian at comcast.net>, Bas Wijnen <wijnen at debian.org>
 Build-Depends: debhelper (>> 5.0), autotools-dev, quilt, flex, bison, libncurses5-dev, zlib1g-dev, libgl1-mesa-dev | libgl-dev, freeglut3-dev | libglut-dev, libglu1-mesa-dev | libglu-dev, libxt-dev, libxi-dev, libxmu-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
 Standards-Version: 3.7.3
 Homepage: http://www.radscan.com/conquest.html

Deleted: packages/trunk/conquest/debian/menu
===================================================================
--- packages/trunk/conquest/debian/menu	2007-12-19 09:46:52 UTC (rev 5020)
+++ packages/trunk/conquest/debian/menu	2007-12-20 12:55:37 UTC (rev 5021)
@@ -1,2 +0,0 @@
-?package(conquest):needs="text" section="Games/Action" \
-  title="conquest" command="/usr/games/conquest"

Added: packages/trunk/conquest/debian/patches/02_soname.diff
===================================================================
--- packages/trunk/conquest/debian/patches/02_soname.diff	                        (rev 0)
+++ packages/trunk/conquest/debian/patches/02_soname.diff	2007-12-20 12:55:37 UTC (rev 5021)
@@ -0,0 +1,54 @@
+--- conquest-8.3.orig/Makefile.am	2007-07-16 20:23:01.000000000 +0200
++++ conquest-8.3/Makefile.am	2007-12-17 22:04:28.000000000 +0100
+@@ -59,21 +59,21 @@
+ 
+ libconquest_la_LIBADD = @LTLIBOBJS@
+ 
+-libconquest_la_LDFLAGS = -version-info 1:0:0
++libconquest_la_LDFLAGS = -avoid-version
+ 
+ libconqclnt_la_SOURCES = client.c client.h clientlb.c clientlb.h \
+ 	playback.h playback.c
+ 
+-libconqclnt_la_LDFLAGS = -version-info 1:0:0
++libconqclnt_la_LDFLAGS = -avoid-version
+ 
+ libconqserv_la_SOURCES = servauth.c server.c servauth.h server.h serverpkt.c \
+ 	serverpkt.h servercmd.h servercmd.c
+ 
+-libconqserv_la_LDFLAGS = -version-info 1:0:0
++libconqserv_la_LDFLAGS = -avoid-version
+ 
+ libUi_la_SOURCES = ui.h uimisc.c
+ 
+-libUi_la_LDFLAGS = -version-info 1:0:0
++libUi_la_LDFLAGS = -avoid-version
+ 
+ libUiGL_la_SOURCES = GL.c texfont.c glfont.c glfont.h \
+ 	glmisc.c glmisc.h nConsvr.c nConsvr.h nMeta.h nMeta.c cqkeys.h \
+@@ -86,21 +86,21 @@
+ 	nPlayBHelp.c nOptions.h nOptions.c colorGL.c ui.h anim.c anim.h \
+ 	GL.h
+ 
+-libUiGL_la_LDFLAGS = -version-info 1:0:0
++libUiGL_la_LDFLAGS = -avoid-version
+ 
+ libUiCU_la_SOURCES = display.c cprintf.h cprintf.c disputil.h colorCU.c \
+ 	cd2lb.h cd2lb.c iolb.h iolb.c cumisc.h cumisc.c cuclient.h \
+ 	cuclient.c options.h options.c clntauth.c ui.h display.h 
+ 
+-libUiCU_la_LDFLAGS = -version-info 1:0:0
++libUiCU_la_LDFLAGS = -avoid-version
+ 
+ libconqinit_la_SOURCES = conqinit-yacc.y conqinit-lex.l conqinit.h initdata.h planinit.c
+ 
+-libconqinit_la_LDFLAGS = -version-info 1:0:0
++libconqinit_la_LDFLAGS = -avoid-version
+ 
+ libcqsound_la_SOURCES = cqsound.c cqsound.h
+ 
+-libcqsound_la_LDFLAGS = -version-info 1:0:0
++libcqsound_la_LDFLAGS = -avoid-version
+ 
+ if GLCLIENT
+ bin_PROGRAMS = conquest conquestgl conqai conqoper conqstrat \

Modified: packages/trunk/conquest/debian/patches/series
===================================================================
--- packages/trunk/conquest/debian/patches/series	2007-12-19 09:46:52 UTC (rev 5020)
+++ packages/trunk/conquest/debian/patches/series	2007-12-20 12:55:37 UTC (rev 5021)
@@ -1 +1,2 @@
 01_man_pages.diff
+02_soname.diff

Deleted: packages/trunk/conquest/debian/postinst
===================================================================
--- packages/trunk/conquest/debian/postinst	2007-12-19 09:46:52 UTC (rev 5020)
+++ packages/trunk/conquest/debian/postinst	2007-12-20 12:55:37 UTC (rev 5021)
@@ -1,56 +0,0 @@
-#! /bin/sh
-# postinst script for conquest
-
-set -e
-
-# summary of how this script can be called:
-#        * <postinst> `configure' <most-recently-configured-version>
-#        * <old-postinst> `abort-upgrade' <new version>
-#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
-#          <new-version>
-#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
-#          <failed-install-package> <version> `removing'
-#          <conflicting-package> <version>
-# for details, see /usr/share/doc/packaging-manual/
-#
-# quoting from the policy:
-#     Any necessary prompting should almost always be confined to the
-#     post-installation script, and should be protected with a conditional
-#     so that unnecessary prompting doesn't happen if a package's
-#     installation fails and the `postinst' is called with `abort-upgrade',
-#     `abort-remove' or `abort-deconfigure'.
-CONQUESTGROUP=conquest
-
-case "$1" in
-    configure)
-    if CONQUESTGRENT="$(getent group $CONQUESTGROUP)"; then
-	    # the group already exists! check that it's a system account
-	    if [ "`echo $CONQUESTGRENT | cut -d : -f 3`" -ge 1000 ] ; then
-		    # the group is a user group! abort!
-		    echo "error: a \"$CONQUESTGROUP\" group with gid>=1000 already exists on your system.  Please remove it before installing this package."
-		    exit 1
-	    fi
-    else
-	    addgroup --system "$CONQUESTGROUP"
-    fi
-
-    chgrp "$CONQUESTGROUP" /usr/games/conquest
-    chmod 2755 /usr/games/conquest
-
-
-    [ -x /usr/bin/update-menus ] && update-menus
-    ;;
-
-    abort-upgrade|abort-remove|abort-deconfigure)
-
-    ;;
-
-    *)
-        echo "postinst called with unknown argument \`$1'" >&2
-        exit 0
-    ;;
-esac
-
-#DEBHELPER#
-
-exit 0

Deleted: packages/trunk/conquest/debian/postrm
===================================================================
--- packages/trunk/conquest/debian/postrm	2007-12-19 09:46:52 UTC (rev 5020)
+++ packages/trunk/conquest/debian/postrm	2007-12-20 12:55:37 UTC (rev 5021)
@@ -1,37 +0,0 @@
-#! /bin/sh
-# postrm script for conquest
-
-set -e
-
-# summary of how this script can be called:
-#        * <postrm> `remove'
-#        * <postrm> `purge'
-#        * <old-postrm> `upgrade' <new-version>
-#        * <new-postrm> `failed-upgrade' <old-version>
-#        * <new-postrm> `abort-install'
-#        * <new-postrm> `abort-install' <old-version>
-#        * <new-postrm> `abort-upgrade' <old-version>
-#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
-# for details, see /usr/share/doc/packaging-manual/
-CONQUESTGROUP=conquest
-
-case "$1" in
-       purge|remove)
-        if id -g $CONQUESTGROUP >/dev/null 2>&1 ; then
-	    if [ "`id -g $CONQUESTGROUP`" -lt 1000 ] ; then
-		groupdel conquest || true
-	    fi
-	fi
-
-        ;;
-
-	upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-
-	;;
-    *)
-        echo "postrm called with unknown argument \`$1'" >&2
-        exit 0
-
-esac
-
-#DEBHELPER#

Modified: packages/trunk/conquest/debian/rules
===================================================================
--- packages/trunk/conquest/debian/rules	2007-12-19 09:46:52 UTC (rev 5020)
+++ packages/trunk/conquest/debian/rules	2007-12-20 12:55:37 UTC (rev 5021)
@@ -66,7 +66,10 @@
 	rm -f debian/tmp/usr/share/man/man6/conquestgl.6
 	cp debian/tmp/usr/share/man/man6/conquest.6 debian/tmp/usr/share/man/man6/conquestgl.6
 
-	dh_install --sourcedir=debian/tmp --list-missing
+	# The exclude options don't really exclude files, they just
+	# prevent warnings about not-installed files.
+	dh_install --sourcedir=debian/tmp \
+		--fail-missing --exclude=man --exclude=.la
 
 binary-indep: build install
 	dh_testdir -i




More information about the Pkg-games-commits mailing list